/*
Copyright (C)2003-2007, IBM, Inc. All rights reserved. 
IBM, Inc. owns the copyright and other intellectual 
property rights in this software. Duplication or use of the 
Software is not permitted except as expressly provided in a 
written agreement between your company and IBM, Inc.
*/
#define CODE_NOCOMMAND                  0
#define CODE_REQUESTDISCARDED           1
#define CODE_BADCOMMAND                 2
#define CODE_UNKNOWN                    3

#define E_TOOMANYTAGS                   4
#define E_NOLICENSE                     5
#define E_BADLICENSE                    6

#define E_EXEC_OK                       7
#define E_EXEC_NOEXEC                   8
#define E_EXEC_NODIR                    9
#define E_EXEC_NOTAG                    10
#define E_EXEC_NOROOT                   11
#define E_EXEC_CDFAIL                   12
#define E_EXEC_PIPEFAIL                 13
#define E_EXEC_NOTIMEOUT                14
#define E_EXEC_TIMEOUT_POP              15
#define E_EXEC_TIMEOUT                  16
#define E_EXEC_RUN                      17
#define E_EXEC_EXECFAIL                 18
#define E_EXEC_XLATE                    19
#define E_SETUSER_FAIL                  20
#define M_SETUSER_OK                    21
#define E_EXEC_SCRIPTFAIL               22
#define E_EXEC_COPYFAIL                 23
#define E_EXEC_COPY                     24
#define E_EXEC_NOPTY                    25
#define E_EXEC_PTY                      26
#define E_EXEC_NOLOCALE                 27
#define E_EXEC_LOCALE                   28
#define E_EXEC_TRAP                     29

#define E_MKDIR_OK                      30
#define E_MKDIR_EXISTS                  31
#define E_MKDIR_NODIR                   32
#define E_MKDIR_FAIL                    33
#define E_MKDIR_NOROOT                  34
#define E_MKDIR_XLATE                   35
#define E_MKDIR_CDROOT                  38

#define E_RMDIR_OK                      39
#define E_RMDIR_NOTDIR                  40
#define E_RMDIR_NODIR                   41
#define E_RMDIR_FAIL                    42
#define E_RMDIR_FAIL2                   43
#define E_RMDIR_FAIL3                   44
#define E_RMDIR_NOROOT                  45
#define E_RMDIR_XLATE                   46
#define E_RMDIR_DOTDOT                  47
#define E_RMDIR_NOTTHERE                50

#define E_READ_OK                       51
#define E_READ_NOEXIST                  52
#define E_READ_NOTADIR                  53
#define E_READ_NOOPEN                   54
#define E_READ_NOOPEN2                  55
#define E_READ_FAIL                     56
#define E_READ_NOPATH                   59
#define E_READ_NOTFILE                  60

#define E_WRITE_OK                      61
#define E_WRITE_NOPATH                  62
#define E_WRITE_EXISTS                  63
#define E_WRITE_NOOPEN                  64
#define E_WRITE_NODATA                  65
#define E_WRITE_FAIL                    66
#define E_WRITE_NOOFFSET                69
#define E_WRITE_WRITEFAIL               70

#define E_SIZE_OK                       71
#define E_SIZE_NODIR                    72
#define E_SIZE_NOOPEN                   73
#define E_SIZE_NOEXIST                  74
#define E_SIZE_FAIL                     75
#define E_SIZE_XLATE                    76

#define E_CCASE_OK                      79
#define E_CCASE_NOPATH                  80

#define E_CCASE_NOVIEW                  83
#define E_CCASE_STAMP                   84
#define E_EXEC_CCVIEW                   85
#define E_EXEC_CCVIEW_WIN               86
#define E_EXEC_CCSVTIMEOUT              87
#define E_EXEC_CCSVERROR                88
#define E_RMDIR_NOTTHERE_EACCESS        89
#define E_RMDIR_NOTTHERE_ENOENT         90
#define E_RMDIR_NOTTHERE_ENOTDIR        91

#define E_SU_ILLEGAL                    92
#define E_SU_UNKNOWNUSER                93
#define E_SU_ACCOUNTINVALID             94
#define E_SU_SETUSERFAILED              95
#define E_SU_USERNOTFOUND               96
#define E_SU_PAMSESSIONERROR            97
#define E_SU_NOCRED                     98
#define E_SU_NOSESSION                  99
#define E_SU_SYSTEMERROR                100

#define P_LOOPBACK_OK                   101
#define E_EXEC_COPYFAIL_MSG             102
#define E_EXEC_COPY_MSG                 103
#define E_EXEC_CDFAIL_MSG               104
#define E_EXEC_CCVIEW_MSG_WIN           105
#define E_EXEC_EXECFAIL_MSG             106
#define E_EXEC_TIMEOUT_MSG              107
#define E_EXEC_DL_OK                    108
#define E_EXEC_DL_NOPIPE                109
#define E_EXEC_DL_NOFORK                110
#define E_EXEC_TIMEOUT_OVERRIDE         111

#define E_ENV_UNDEF                     112
#define E_ENV_RECURSION_SUPPRESSED      113
#define E_EXEC_MAPFAIL                  114

#define E_MONITOR_USAGE                 115
#define E_MONITOR_WAITINGFOR            116
#define E_MONITOR_TIMEOUT               117
#define E_MONITOR_STATFAIL              118
#define E_MONITOR_SIZEOK                119
#define E_MONITOR_STOPPED               120

#define E_CTOOL_EXECFAIL                121
#define E_FORK_STREAMFAIL               122

#define E_WIN_MAP_ASSIGNED              123
#define E_WIN_MAP_OK                    124
#define E_WIN_MAP_ERROR                 125
#define E_WIN_MAP_NOLETTER              126
#define E_WIN_MAP_ATTEMPT               127
#define E_WIN_MAP_UNABLE                128
#define E_WIN_MAP_OK_DEFAULT            129
#define E_WIN_MAP_OK_CREDS              130
#define E_WIN_MAP_OK_SYSTEM             131
#define E_WIN_MAP_UNMAPPED              132
#define E_WIN_MAP_UNMAPFAIL             133
#define E_WIN_AUTH_RUNNINGAS            134
#define E_WIN_AUTH_PRIV                 135
#define E_WIN_AUTH_NOPROFILE            136
#define E_WIN_EXEC_JOBFAIL              137
#define E_WIN_EXEC_PIPEFAIL             138
#define E_WIN_EXEC_STREAMFAIL           139
#define E_WIN_EXEC_IPIPEFAIL            140
#define E_WIN_EXEC_NOCWD                141
#define E_WIN_EXEC_JOBASSOCFAIL         142
#define E_WIN_TMPNAMFAIL                143

#define E_EXEC_EXITMAP                  144
#define E_CONFOPENFAIL                  145
#define E_WRITE_SETMODE                 146
#define E_WRITE_NOSETMODE               147
#define E_WRITE_SETTIME                 148
#define E_WRITE_NOSETTIME               149

#define E_CCASE_STARTVIEW               150
#define E_CCASE_MOUNTVOB                151
#define E_CCASE_STARTVIEW_OK            152
#define E_CCASE_STARTVIEW_PATH          153
#define E_CCASE_MOUNTVOB_OK             154
#define E_EXEC_PREPARSE                 155
#define E_EXEC_WARNOUT                  156

#define WIN_EVENT_CTLC                  157
#define WIN_EVENT_CLOSE                 158
#define WIN_EVENT_BREAK                 159
#define WIN_EVENT_SHUTDOWN              160
#define WIN_EVENT_LOGOFF                161

#define E_EDIT_WRONG_ARGS               162
#define E_EDIT_BAD_EXPRESSION           163
#define M_EDIT_APPLYING                 164
#define E_WRITE_FAILORIG                165
#define E_READ_FAILORIG                 166
#define M_EDIT_RESULTS                  167
#define E_EDIT_TERM_SEARCH              168
#define E_EDIT_TERM_REPLACE             169
#define E_RMDIR_RMERR                   170
#define M_SYSCONF_COMPLETE              171

#define M_REQUIRE_NEGATING              172
#define E_REQUIRE_DISK_UNSUPP           173
#define E_REQUIRE_DISK_MALFORMED        174
#define E_REQUIRE_DISK_BAD_PATH         175
#define E_REQUIRE_DISK_INSUFF           176
#define M_REQUIRE_DISK_OK               177
#define E_REQUIRE_HUH                   178
#define M_SSL_PLAINTEXT                 179
#define M_TMP_FILE_IS                   180
#define E_REQUIRE_MEM_UNSUPP            181
#define E_REQUIRE_MEM_INSUFF            182
#define M_REQUIRE_MEM_OK                183
#define E_STRSUB_HUH                    184

#define M_PTY_PIPE                      185
#define E_EXEC_FAILED                   186
#define M_FORK_SHELL_PATH               187
#define E_ENV_HIDDEN                    188
#define M_LOG_PATHNAME                  189
#define E_LOG_PATHNAME_FAIL             190
#define E_ALIVE_USAGE                   191
#define E_ALIVE_BADHOST                 192
#define E_ALIVE_NOSOCKET                193
#define E_ALIVE_ATTEMPT                 194
#define E_ALIVE_OK                      195
#define E_ALIVE_FAILED                  196
#define M_ENV                           197

#define E_UNLINK_OK                     198
#define E_UNLINK_DIR                    199
#define E_UNLINK_DOTDOT                 200
#define E_UNLINK_FAIL                   201
#define E_UNLINK_NOPATH                 202
#define E_UNLINK_NOROOT                 203
#define E_UNLINK_XLATE                  206

#define M_EDIT_BEFORE                   207
#define M_EDIT_AFTER                    208

#define E_STRSUB_OPEN_R                 209
#define E_STRSUB_OPEN_R_TMP             210
#define E_STRSUB_OPEN_W_TMP             211
#define E_STRSUB_OPEN_W                 212
#define E_STRSUB_READ_ERROR             213
#define E_STRSUB_WRITE_ERROR            214
#define M_STRSUB_REPLACING              215
#define M_STRSUB_BEFORE                 216
#define M_STRSUB_AFTER                  217
#define E_STRSUB_REWRITE_ERROR          218
#define E_STRSUB_READ_TMP_ERROR         219
#define M_STRSUB_SUMMARY                220

#define E_MAIN_HOST_DENIED              221
#define E_MAIN_BAD_ARG                  222

#define E_SSL_SE_INIT                   223
#define E_SSL_SE_BIOIN                  224
#define E_SSL_SE_BIOOUT                 225
#define E_SSL_SE_BADCA                  226
#define E_SSL_SE_BADCERT                227
#define E_SSL_SE_BADPKEYFILE            228
#define E_SSL_SE_BADPKEY                229
#define E_SSL_SE_NOSSL                  230
#define E_SSL_SE_HANDSHAKE              231
#define E_SSL_UNKNOWN                   232
#define E_SSL_UNVERIFIED_CERT           233
#define M_SSL_STARTTLS                  234
#define M_SSL_CONSOLE_ISSUER            235
#define M_SSL_CONSOLE_CERT              236

#define M_MONITOR_START                 237
#define M_MONITOR_END                   238

#define M_PTY_MASTER                    239
#define M_PTY_SLAVE                     240

#define M_CC_CALLS                      241
#define M_CC_GENDIRDIFF                 242
#define E_CC_NO_PARSE_PATH              243

#define M_ENV_SRC                       244
#define M_ENV_SET_INDIRECT              245
#define E_ENV_CMD_NO_FORMAT             246
#define E_ENV_SUBSTR_NO_ARGS            247
#define E_ENV_SUBSTR_NO_SOURCE          248
#define E_ENV_SUBSTR_BAD_START_INDEX    249
#define E_ENV_SUBSTR_BAD_END_INDEX      250
#define M_ENV_SUBSTR                    251
#define M_ENV_REGEX                     252
#define E_ENV_REGEX_BAD                 253
#define M_ENV_SET                       254
#define M_ENV_APPEND_PREPEND            255
#define M_ENV_ENCRYPTED                 256
#define M_ENV_HIDDEN                    257
#define M_ENV_CLEAR                     258
#define M_ENV_DELETE                    259
#define M_ENV_SKIPPED_ALREADY_SET       260
#define M_ENV_SET_NOT_ALREADY_SET       261
#define M_ENV_DEBUG                     262

#define E_MEM_REALLOC_UNKNOWN           263
#define E_MEM_REALLOC_FREED             264
#define E_MEM_FREE_UNKNOWN              265
#define E_MEM_FREE_FREED                266
#define M_MEM_REPORT_ALLOCS             267
#define M_MEM_REPORT_REALLOCS           268
#define M_MEM_REPORT_FREES              269
#define M_MEM_REPORT_BYTES              270
#define M_MEM_REPORT_UNFREED            271
#define E_AUTH_NO_USER                  272

#define M_WIN_SID_USER                  273
#define M_WIN_SID_GROUP                 274
#define M_WIN_SID_DOMAIN                275
#define M_WIN_SID_ALIAS                 276
#define M_WIN_SID_WELL_KNOWN_GROUP      277
#define M_WIN_SID_DELETED_ACCOUNT       278
#define M_WIN_SID_INVALID               279
#define M_WIN_SID_COMPUTER              280
#define M_WIN_SID_UNKNOWN               281

