/*
Copyright (C)2003-2006, IBM, Inc. All rights reserved. 
IBM, Inc. owns the copyright and other intellectual 
property rights in this software. Duplication or use of the 
Software is not permitted except as expressly provided in a 
written agreement between your company and IBM, Inc.
*/

#include "bf_agent.h"

#define	PBUFSIZE	512
#define	KEYLEN	8
#define	MINLEN	16

/* returns a pointer to an allocated string with the decoded string */
char *bf_decrypt(const char *ct) {
	int i, len, ctlen;
	unsigned int value, offset;
	const char *p;
	char ptb[PBUFSIZE], ctb[PBUFSIZE];

	if (ct == NULL) return NULL;
	ctlen = strlen(ct) >> 1;
	if (ctlen < 25 || ctlen >= PBUFSIZE - 1) return NULL;
	for (i=0, p=ct; i<ctlen; i++, p+=2) {
		sscanf(p, "%02x", &value);
		ctb[i] = (char)value;
	}

	len = 255 - (ctb[8] & 0xFF);
	if (len != 255) {
		if (ctlen < 9 + len) return NULL;
		for (i=0; i<len; i++) {
			value = ctb[i+9] & 0xFF;
			if (value < 0x20 || value >= 0x7F) return NULL;
			offset = value + 0x011D - (ctb[i & 7] & 0xFF);
			ptb[i] = (char)(offset % 0x5F + 0x20);
		}
	} else {
		len = 255 - (ctb[9] & 0xFF);
		if (ctlen < 10 + len) return NULL;
		for (i=0; i<len; i++) {
			ptb[i] = (char)((ctb[i + 10] ^ ctb[i & 7]) & 0xFF);
			if (ptb[i] == '\0') return NULL;
		}
	}

	ptb[len] = '\0';
#ifdef ZOS
	__atoe_l(ptb, len);
#endif
	return strdup(ptb);
}



